post
https://api.marketcircle.net/v1/tasks
Create a new task
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
See Task for a list of attributes which are supported for tasks. Only attributes marked as Read-Write can be set using this endpoint.
Ownership
The creator of the task will automatically be set to the user performing the request. However, a task also has an owner, which is the user responsible for the task. It defaults to the user making the request. See the ownership page for more details.
Response
A successful request returns 201 Created with the new task's reference, e.g. {"location": "/v1/tasks/1000"}. If validation fails, the response is 400 with the errors for each attribute, e.g. {"title": [{"error": "blank"}]}.